# libxmljs-extra

Library to complement [libxmljs](https://github.com/libxmljs/libxmljs) and especially make namespaces easier to deal with.

## Basic example
```JS
const { Document } = require('libxmljs-extra');

const xml = `<?xml version="1.0" encoding="UTF-8"?>
            <root xmlns="http://www.my-namespace.org/">
              <child>
                <grandchild>Hello</grandchild>
              </child>
              <child>
                <grandchild>World</grandchild>
              </child>
            </root>`;

const xmlDoc = new Document(xml);

// Sets the global namespace of the document
xmlDoc.setNamespace('namespace', 'http://www.my-namespace.org/');

const grandchildren = xmlDoc.find('//grandchild');

grandchildren.forEach((grandchild) => console.log(grandchild.text())); // Prints "Hello\nWorld"

console.log(xmlDoc.count('//grandchild')); // Prints "2"
```

## Documentation
Check the `[docs](https://gitbucket.inist.fr/istex/libxmljs-extra/tree/master/docs)` directory.
