const libxmljs = require('libxmljs');
const Document = require('./src/Document');

module.exports = {
  /**
   * A copy of the Document class from `libxmljs` with extra methods
   * and existing ones modified.
   */
  Document,

  /**
   * Straight mapping from libxmljs exports
   */

  // constants
  libxml_version: libxmljs.libxml_version,
  libxml_parser_version: libxmljs.libxml_parser_version,
  libxml_debug_enabled: libxmljs.libxml_debug_enabled,

  // lib exports
  Comment: libxmljs.Comment,
  Element: libxmljs.Element,
  ProcessingInstruction: libxmljs.ProcessingInstruction,
  Text: libxmljs.Text,

  // sax parser
  SaxParser: libxmljs.SaxParser,
  SaxPushParser: libxmljs.SaxPushParser,

  // others
  memoryUsage: libxmljs.memoryUsage,
  nodeCount: libxmljs.nodeCount,
};
